OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.SGIX.Async

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGIXAsync :: MonadIO m => m Bool
- gl_SGIX_async :: Bool
- pattern GL_ASYNC_MARKER_SGIX :: GLenum
- glAsyncMarkerSGIX :: MonadIO m => GLuint -> m ()
- glDeleteAsyncMarkersSGIX :: MonadIO m => GLuint -> GLsizei -> m ()
- glFinishAsyncSGIX :: MonadIO m => Ptr GLuint -> m GLint
- glGenAsyncMarkersSGIX :: MonadIO m => GLsizei -> m GLuint
- glIsAsyncMarkerSGIX :: MonadIO m => GLuint -> m GLboolean
- glPollAsyncSGIX :: MonadIO m => Ptr GLuint -> m GLint

# Extension Support

glGetSGIXAsync :: MonadIO m => m Bool Source #

Is the SGIX_async extension supported?

gl_SGIX_async :: Bool Source #

Is the SGIX_async extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGIXAsync` in those cases instead.

# Enums

pattern GL_ASYNC_MARKER_SGIX :: GLenum Source #

# Functions

glAsyncMarkerSGIX Source #

Arguments

:: MonadIO m |
=> GLuint | `marker`.
-> m () |

glDeleteAsyncMarkersSGIX Source #

Arguments

:: MonadIO m |
=> GLuint | `marker`.
-> GLsizei | `range`.
-> m () |

glFinishAsyncSGIX Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `markerp` pointing to `1` element of type `GLuint`.
-> m GLint |

glGenAsyncMarkersSGIX Source #

Arguments

:: MonadIO m |
=> GLsizei | `range`.
-> m GLuint |

glIsAsyncMarkerSGIX Source #

Arguments

:: MonadIO m |
=> GLuint | `marker`.
-> m GLboolean | of type Boolean.

glPollAsyncSGIX Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `markerp` pointing to `1` element of type `GLuint`.
-> m GLint |